contao-community-alliance/build-system-tool-travis-configuration-check

This package is abandoned and no longer maintained. The author suggests using the phpcq/travis-configuration-check package instead.

Validation tool to ensure that the contents of a .travis.yml make sense.

dev-master / 1.0.x-dev 2014-10-11 09:57 UTC

README

Version Stable Build Status Upstream Build Status License Downloads

Validate .travis.yml against composer.json.

This check performs several tests.

The first test ensures that a PHP version is set in the composer.json and this version is also covered by the .travis.yml.

The second test is to ensure that all allowed versions in .travis.yml are available at travis-ci.

Optionally it tests, that no unmaintained PHP version is set in the composer.json and .travis.yml and errors when an unmaintained PHP version is mentioned. Currently this means any version prior to PHP 5.4.

Usage

Add to your composer.json in the require-dev section:

"contao-community-alliance/build-system-tool-travis-configuration-check": "~1.0"

Call the binary:

./vendor/bin/check-travis-configuration.php

Optionally pass the root of the project to check:

./vendor/bin/check-travis-configuration.php /path/to/some/project

To additionally check for unmaintained PHP versions:

./vendor/bin/check-travis-configuration.php --unmaintained-version-error

To additionally check for unmaintained PHP versions within another project:

./vendor/bin/check-travis-configuration.php --unmaintained-version-error /path/to/some/project